Перейти до вмісту
AstroWay/api v2.19.0 · docs
усі системи в нормі
UA EN

List Webhook Subscriptions

GET
/webhooks

List all active webhook subscriptions for the authenticated user.

curl -X GET https://api.astroway.info/v1/webhooks \
-H "X-Api-Key: aw_live_..." \
-H "Content-Type: application/json"

Successful calculation

object
ok
boolean
Example
true
data
object
subscriptions
Array<object>
object
id
number
event
string
url
string
active
boolean
failure_count
number
last_delivery_at
object
last_status_code
object
created_at
string
Example
{
"ok": true,
"data": {
"subscriptions": [
{
"id": 42,
"event": "report-ready",
"url": "...",
"active": true,
"failure_count": 0,
"last_delivery_at": null,
"last_status_code": null,
"created_at": "..."
}
]
}
}

Validation error

Example
{
"ok": false,
"error": {
"code": "INVALID_INPUT",
"message": "Validation failed: date: Date must be YYYY-MM-DD",
"details": [
{
"path": "date",
"message": "Date must be YYYY-MM-DD"
}
]
}
}

Missing or invalid API key

Example
{
"ok": false,
"error": {
"code": "INVALID_API_KEY",
"message": "Invalid API key"
}
}
Корисно?